Package tigase.conf

## Class ConfigReader.UnsupportedOperationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - tigase.conf.ConfigReader.ConfigException
      - - tigase.conf.ConfigReader.UnsupportedOperationException

- All Implemented Interfaces:
    `java.io.Serializable`
  Enclosing class:
    ConfigReader

      public static class ConfigReader.UnsupportedOperationException
      extends ConfigReader.ConfigException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnsupportedOperationException​(java.lang.String msg, int line, int position, java.lang.String lineContent, java.lang.Throwable cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getLine()` |
    `java.lang.String` | `getLineContent()` |
    `int` | `getPosition()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedOperationException

          public UnsupportedOperationException​(java.lang.String msg,
                                               int line,
                                               int position,
                                               java.lang.String lineContent,
                                               java.lang.Throwable cause)

  - ### Method Detail

    - #### getLine

          public int getLine()

    - #### getPosition

          public int getPosition()

    - #### getLineContent

          public java.lang.String getLineContent()